import React, { Component } from 'react'
import './coupons.scss'

// import { Toast } from "antd-mobile";

import Input from "./Input"
import classnames from 'classnames'
import Coupon from './Coupon'


const mockData = [
    {
        type: 1,
        couponName: '代金券',
        expire_time: '2017-12-31',
        limit: '可用于大于代金券金额的课程',
        denomination: '5'
    },
    {
        type: 2,
        couponName: '代金券',
        expire_time: '2017-12-31',
        limit: '可用于大于代金券金额的课程',
        denomination: '5'
    },
]


class Coupons extends Component {
    constructor(props) {
        super(props)
        this.state = {
            exchangeNum: ''
        }
    }

    onChange = (val) => {
        this.setState({exchangeNum: val})
    }

    useCoupon = () => {

    }

    componentDidMount() {
        document.getElementsByClassName('tabbar')[0].style.display = 'none'
    }

    render() {
        return (
            <div id='coupons'>
                <div className="exchange">
                    <Input
                        placeholder={'请输入优惠码'}
                        onChange={this.onChange}
                        type={'number'}
                    />
                    <button className={classnames({
                        active: this.state.exchangeNum.length > 0
                    })}>兑换
                    </button>
                </div>
                <Content coupons={mockData} onClick={this.useCoupon}/>
            </div>
        );
    }
}

function Empty() {
    return (
        <div className='empty'>
            <div>
                <p><i className='iconfont iconfrench_fries'></i></p>
                <p>静待活动，什么券都有~</p>
            </div>
        </div>
    )
}

function Content({coupons,onClick}) {
    if (coupons.length === 0) {
        return <Empty/>
    }
    return (
        <ul className='coupon-list'>
            {
                mockData.map((item, index) => {
                    return <Coupon {...item} key={index} onClick={onClick}/>
                })
            }
        </ul>
    )
}

/*function Text({text}) {
    return Toast.info(text, 1)
}*/

export default Coupons;